import { defineConfig } from 'tsup';

import { config } from "@snip/tsup-config/base";

export default defineConfig([
    {
        ...config,
        entry: {
            session: 'src/session.ts',
            book_permissions: 'src/book_permissions.ts',
            page_permissions: 'src/page_permissions.ts',
            "tokens/socket": 'src/tokens/socket.ts',
            "tokens/emailVerify": 'src/tokens/emailVerify.ts',
            "tokens/changeEmail": 'src/tokens/changeEmail.ts',
            "tokens/groupInvite": 'src/tokens/groupInvite.ts',
            "tokens/collaborationRequest": 'src/tokens/collaborationRequest.ts',
            "tokens/api": 'src/tokens/api.ts',
            "tokens/ui": 'src/tokens/ui.ts',
        },
    }
]);