import { ArraySnip } from "./array";
import { BaseSnip } from "./base";
import { DoodleSnip } from "./doodle";
import { ImageSnip } from "./image";
import { TextSnip } from "./text";

const TYPE_TO_SNIP = new Map<string, typeof BaseSnip>();
TYPE_TO_SNIP.set("base", BaseSnip);
TYPE_TO_SNIP.set("text", TextSnip);
TYPE_TO_SNIP.set("array", ArraySnip);
TYPE_TO_SNIP.set("doodle", DoodleSnip);
TYPE_TO_SNIP.set("image", ImageSnip);

export default TYPE_TO_SNIP;
