import { isBrowser, isWorker } from "@snip/utils/environment";

export const cm2px = (cm: number) => {
    if (!isBrowser() || isWorker()) {
        return (cm * 96) / 2.54;
    }
    return (cm / window.devicePixelRatio / 2.54) * 96;
};
