import { defineConfig } from 'tsup';

const cfg = {
    splitting: false,
    clean: true,
    treeShaking: true,
    format: ['cjs', 'esm'],
    dts: true,
    minify: true,
    sourcemap: true,
    outDir: 'build',
}

export default defineConfig([
    {
        ...cfg,
        bundle: true,
        entry: {
            cluster: 'src/cluster.ts',
            server: 'src/server.ts',
            localPage: 'src/localPage.ts',
        },
    },
]);